%global momorel 7

Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.6
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
Source: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
#Source1: momonga.conf
Source1: acpid.init
Source2: acpid.video.conf
Source3: acpid.power.conf
Source4: acpid.power.sh
Patch1: acpid-1.0.6-makefile.patch
Patch2: acpid-1.0.6-return.patch
Patch3: acpid-1.0.6-fd.patch
Patch4: acpid-1.0.6-log.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://sourceforge.net/projects/acpid/
ExclusiveArch: %{ix86} x86_64 ia64
PreReq: chkconfig
NoSource: 0

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%prep
%setup -q
%patch1 -p1 -b .makefile
%patch2 -p1 -b .return
%patch3 -p1 -b .fd
%patch4 -p1 -b .log

%build
%make

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

rm -rf %{buildroot}
mkdir -p %{buildroot}
make install INSTPREFIX=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/acpi/events
mkdir -p %{buildroot}%{_sysconfdir}/acpi/actions
chmod 755 %{buildroot}%{_sysconfdir}/acpi/events

chmod 755 %{buildroot}/etc/acpi/events
# install -m 0644 samples/sample.conf %{buildroot}/etc/acpi/events
# install -m 0644 %{SOURCE1}          %{buildroot}/etc/acpi/events

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/acpi/events/video.conf
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/acpi/events/power.conf
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/acpi/actions/power.sh

mkdir -p %{buildroot}%{_sysconfdir}/init.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/acpid

%clean
[ -d %{buildroot} ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING Changelog README TODO
%doc samples/battery samples/panasonic
%defattr(-,root,root)
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
#%config(noreplace) %{_sysconfdir}/acpi/events/sample.conf
#%config(noreplace) %{_sysconfdir}/acpi/events/momonga.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/video.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/power.conf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/power.sh
%{_sbindir}/acpid
%{_bindir}/acpi_listen
%{_initscriptdir}/acpid
%{_mandir}/man8/acpid.8*
%{_mandir}/man8/acpi_listen.8*

%post
/sbin/chkconfig --add acpid

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del acpid
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service acpid condrestart >/dev/null 2>&1
fi

%changelog
* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.6-7m)
- change start up priority from 44 to 26

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.6-6m)
- rebuild against gcc43

* Tue Feb 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0.6-5m)
- fix copying daemon start script file

* Tue Feb 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.6-4m)
- revive %%post

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.6-3m)
- glibc-2.8 fix

* Tue Nov 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.6-2m)
- fix %%files

* Tue Nov 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.6-1m)
- update 1.0.6
- move changelog

* Wed May 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.4-5m)
- import fc-patches 

* Thu Nov  3 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.4-4m)
- add gcc4 patch. import from Fedora
- Patch3: acpid-1.0.4-warning.patch

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.4-3m)
- revised docdir permission

* Fri Jan 14 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.4-2m)
- enable x86_64.

* Sun Oct 24 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.4-1m)
- update to 1.0.4
- add %%doc samples/battery samples/panasonic

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-2m)
- revised spec for enabling rpm 4.2.

* Wed Feb 25 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.3-1m)
- update to 1.0.3
- remove acpid-1.0.0-init.kiriwake.patch and add acpid.init
  redhat/acpid.init has gone from source tar ball

* Sun Dec 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-3m)
- add ExclusiveArch: %%{ix86}
- condrestart daemon on upgrade
- stop daemon before removing

* Sun Dec 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-2m)
- fix sample configuration files to adapt to latest format of /proc/acpi/event
- install acpi_handler.sh to %{_libexecdir}
- add configuration file which calls acpi_handler.sh
- %%config(noreplace) to config files

* Thu Jul 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.2-1m)
- update to 1.0.2
- use %%{momorel} macro
- add %%doc
- fix %%{_mandir}/man8/acpid.8.* -> %%{_mandir}/man8/acpid.8*

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-4k)
- sourceforge sabaki

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-4k)
- /sbin/chkconfig -> chkconfig in PreReq.

* Mon Mar 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.1-2k)
 update to 1.0.1

* Mon Nov 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.0-4k)
- add acpid-1.0.0-init.kiriwake.patch not to boot on acpi disable

* Sat Oct 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.0-2k)
- First Kondarization

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1

